<?php

namespace Fiscal\Logic\NotaFiscal;
use Setforms2\Runtime\Helper\Procedure;
use Setforms2\Runtime\Helper\Procedure\Param;

class Impostos{
	public static function impostoEntrada($empresa, $inscesta, $tipooper, $cliente, $filial, $lanctonf, $inivalid, $lancestq, $entrsaid, $operador){
        $paramReturn = null;

        $procedure = new Procedure('IMPOSTO_ENTRADA');
		$procedure->addParam(new Param('P_EMPRESA'   , Param::PARAM_INPUT , $empresa  , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_INSCESTA'  , Param::PARAM_INPUT , $inscesta , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_TIPOOPER'  , Param::PARAM_INPUT , $tipooper , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_FORNECED'  , Param::PARAM_INPUT , $cliente  , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_FILIAL'    , Param::PARAM_INPUT , $filial   , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_LANCTONF'  , Param::PARAM_INPUT , $lanctonf , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_INIVALID'  , Param::PARAM_INPUT , $inivalid , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_VRNOTAFISC', Param::PARAM_OUTPUT, null      , Param::PARAM_TYPE_STR, 30));
		$procedure->addParam(new Param('P_LANCESTQ'  , Param::PARAM_INPUT , $lancestq , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_ENTRSAID'  , Param::PARAM_INPUT , $entrsaid , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_CDOPERADOR', Param::PARAM_INPUT , $operador , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_AUDIT'     , Param::PARAM_INPUT , $operador , Param::PARAM_TYPE_STR));
		$imp = $procedure->call();
		return $imp['P_VRNOTAFISC'];
	}
	
	public static function impostoSaida($empresa, $inscesta, $tipooper, $cliente, $filial, $lanctonf, $inivalid, $lancestq, $operador){
		$procedure = new Procedure('IMPOSTO_SAIDA');
		$procedure->addParam(new Param('P_EMPRESA'   , Param::PARAM_INPUT , $empresa  , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_INSCESTA'  , Param::PARAM_INPUT , $inscesta , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_TIPOOPER'  , Param::PARAM_INPUT , $tipooper , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_CLIENTE'   , Param::PARAM_INPUT , $cliente  , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_FILIAL'    , Param::PARAM_INPUT , $filial   , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_LANCTONF'  , Param::PARAM_INPUT , $lanctonf , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_INIVALID'  , Param::PARAM_INPUT , $inivalid , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_VRNOTAFISC', Param::PARAM_OUTPUT, null      , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_LANCESTQ'  , Param::PARAM_INPUT , $lancestq , Param::PARAM_TYPE_STR));
		$procedure->addParam(new Param('P_CDOPERADOR', Param::PARAM_INPUT , $operador , Param::PARAM_TYPE_STR));
		$imp = $procedure->call();
		return $imp['P_RESULT'];
	}
}